var system = require("../../../system");
var settings = require("../../../../config/settings");
const AppServiceBase = require("../../app.base");
const md5 = require('md5')
const logCtl = system.getObject("service.common.oplogSve");
//阿里支付类
class utils360Sve extends AppServiceBase {
  constructor() {
    super();
    this.centerAppUrl = settings.centerAppUrl();
  }
  //-------------------------------------------钉钉h5支付-----------------开始


  async getParamsFor360(pobj, actionBody) {
    if (!actionBody.orderNo) {
      return system.getResult(null, "actionBody.orderNo can not be empty，100110");
    }
    pobj.actionType = "getPayOrderInfo";
    var orderUrl = settings.centerOrderUrl() + "action/order/springBoard";
    var orderResult = await this.restPostUrl(pobj, orderUrl);
    if (orderResult.status != 0) {
      return orderResult;
    }
    pobj.actionType ="getOrderDeliveryInfo";
    var deliveryResult = await this.restPostUrl(pobj,orderUrl);
    if (deliveryResult.status != 0) {
      return deliveryResult;
    }
    let sku_id = orderResult.data.orderProduct.itemCode;
    let price = Number(orderResult.data.orderProduct.price)*100;
    let quantity = orderResult.data.orderProduct.quantity;
    let amount = Number(orderResult.data.receiptVoucher.totalSum)*100;
    let order_id = orderResult.data.receiptVoucher.sourceOrderNo;
    let consignee = deliveryResult.data.orderContact.contactName;
    let mobile = deliveryResult.data.orderContact.mobile;
    let email = deliveryResult.data.orderContact.email;
    let singStr = sku_id + price + order_id + pobj.appInfo.uapp_secret;
    let sign = md5(singStr).toUpperCase();
    let result ={
      sku_id,
      price,
      quantity,
      amount,
      order_id,
      consignee,
      mobile,
      email,
      sign
    }
    return system.getResult(result);
  }

  //-------------------------------------------钉钉h5支付-----------------结束

}
module.exports = utils360Sve;
